%define gitver %(echo %version | cut -d. -f1-2)
Name:          hwinfo
Version:       21.81
Release:       1mamba
Summary:       Hardware information tool
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/openSUSE/hwinfo
Source:        https://github.com/openSUSE/hwinfo.git/%{gitver}/hwinfo-%{gitver}.tar.bz2
Patch:         hwinfo-16.12-tiocgdev_undefined.patch
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libuuid-devel
BuildRequires: libx86emu-devel
BuildRequires: perl-XML-Parser
BuildRequires: perl-XML-Writer
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: libx86emu-devel >= 3.1
License:       GPL

%description
A simple program that lists results from the hardware detection library.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A simple program that lists results from the hardware detection library.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n %{name}-%{gitver}
[ -e VERSION ] || echo "%{version}" > VERSION
#%patch

%build
%make -j1 \
   GIT2LOG=/bin/true \
   LIBDIR=%{_libdir}

make doc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   GIT2LOG=/bin/true \
   LIBDIR=%{_libdir}

install -D -m 644 doc/hwinfo.8 %{buildroot}%{_mandir}/man8/hwinfo.8
install -d %{buildroot}%{_localstatedir}/lib/hardware/udi

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sbindir}/hwinfo
%{_sbindir}/mk_isdnhwdb
%{_sbindir}/getsysinfo
%{_libdir}/libhd.so.*
%{_datadir}/hwinfo
%{_mandir}/man8/hwinfo.8*
%dir %{_localstatedir}/lib/hardware
%dir %{_localstatedir}/lib/hardware/udi
%doc COPYING

%files devel
%defattr(-,root,root)
%{_sbindir}/check_hd
%{_sbindir}/convert_hd
%{_includedir}/hd.h
%{_libdir}/libhd.so
%{_libdir}/pkgconfig/hwinfo.pc
#%doc doc/libhd/html README

%changelog
* Mon Apr 18 2022 Automatic Build System <autodist@mambasoft.it> 21.81-1mamba
- automatic version update by autodist

* Mon Dec 20 2021 Automatic Build System <autodist@mambasoft.it> 21.80-1mamba
- automatic version update by autodist

* Fri Dec 17 2021 Automatic Build System <autodist@mambasoft.it> 21.79-1mamba
- automatic version update by autodist

* Sun Nov 14 2021 Automatic Build System <autodist@mambasoft.it> 21.78-1mamba
- automatic version update by autodist

* Thu Oct 14 2021 Automatic Build System <autodist@mambasoft.it> 21.77-1mamba
- automatic version update by autodist

* Thu Jul 29 2021 Automatic Build System <autodist@mambasoft.it> 21.76-1mamba
- automatic version update by autodist

* Mon Jul 05 2021 Automatic Build System <autodist@mambasoft.it> 21.75-1mamba
- automatic version update by autodist

* Sun May 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.74-1mamba
- update to 21.74

* Fri Apr 16 2021 Automatic Build System <autodist@mambasoft.it> 21.73-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 21.72-1mamba
- automatic version update by autodist

* Wed Dec 02 2020 Automatic Build System <autodist@mambasoft.it> 21.71-1mamba
- automatic version update by autodist

* Thu Apr 23 2020 Automatic Build System <autodist@mambasoft.it> 21.70-1mamba
- automatic version update by autodist

* Fri Mar 27 2020 Automatic Build System <autodist@mambasoft.it> 21.69-1mamba
- automatic version update by autodist

* Wed Jan 22 2020 Automatic Build System <autodist@mambasoft.it> 21.68-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 21.67-1mamba
- update to 21.67

* Fri Mar 15 2019 Automatic Build System <autodist@mambasoft.it> 21.60-1mamba
- automatic version update by autodist

* Sun Feb 17 2019 Automatic Build System <autodist@mambasoft.it> 21.59-1mamba
- automatic version update by autodist

* Thu Oct 11 2018 Automatic Build System <autodist@mambasoft.it> 21.58-1mamba
- automatic version update by autodist

* Mon Jul 30 2018 Automatic Build System <autodist@mambasoft.it> 21.53-1mamba
- automatic version update by autodist

* Thu Aug 11 2016 Automatic Build System <autodist@mambasoft.it> 21.30-1mamba
- automatic version update by autodist

* Tue May 10 2016 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 21.24-1mamba
- update to 21.24

* Fri Jun 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 21.14-1mamba
- update to 21.14

* Sat Dec 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 21.10.1.1-1mamba
- update to 21.10.1.1

* Tue Aug 19 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 21.6-1mamba
- update to 21.6

* Tue Apr 30 2013 Automatic Build System <autodist@mambasoft.it> 20.1-1mamba
- update to 20.1

* Tue Dec 11 2012 Automatic Build System <autodist@mambasoft.it> 20.0-1mamba
- update to 20.0

* Wed Feb 17 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 16.12-1mamba
- package created by autospec
